#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		offiver		%(echo %{version} | cut -d '.' -f1-3)
#-----------------------------------------------------------------------------
Name		:	python3-pluggy
Version		:	1.5.0
Release		:	17.0.10.rel%{?dist}
Summary		:	The plugin manager stripped of pytest specific details
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/pytest-dev/pluggy

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-attrs
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-setuptools-scm
BuildRequires	:	python-wheel

%if %{with test}
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pytest
BuildRequires	:	python-packaging
BuildRequires	:	python3-tomli
BuildRequires	:	python-py
%endif

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
The plugin manager stripped of pytest specific details.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{offiver}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
	
%if %{with test}
PYTHONPATH=src						\
	pytest
%endif
		
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
